import { DropdownProps } from "../common/DropdownListMenu";
import { IconProps } from "../common/Icon";
import { LinkWithAction } from "../types";
import React from "react";
declare const BoardListBlock: BoardListBlockCompound;
type BoardListBlockCompound = React.FC<BoardListBlockProps> & {
    Empty: React.FC<unknown>;
    Item: React.FC<ItemProps>;
};
export interface EmptyProps {
    children: React.ReactNode;
}
export interface ItemProps {
    slug: string;
    color: string;
    avatar: string;
    link?: LinkWithAction;
    description: string;
    _onSelected?: (slug: string) => void;
    _selected?: boolean;
    muted?: boolean;
    pinned?: boolean;
    updates?: boolean;
    outdated?: boolean;
    options: DropdownProps["options"];
    _onPinned?: () => void;
    _onMuted?: () => void;
}
export interface BoardListBlockProps {
    icon: IconProps["icon"];
    title: string;
    selectedBoardSlug?: string | null;
    onSelectBoard: (slug: string) => void;
    onPinBoard: (slug: string) => void;
    onMuteBoard: (slug: string) => void;
    children?: React.ReactNode;
}
export default BoardListBlock;
