import { CircleButtonProps } from "../buttons/CircleButton";
import { DropdownProps } from "../common/DropdownListMenu";
import { IconProps } from "../common/Icon";
import React, { AriaAttributes } from "react";
import { LinkWithAction } from "../types";
interface ContextMenuProps {
    icons: (IconProps & {
        id: string;
    })[];
    options: DropdownProps["options"];
    info?: React.ReactNode;
}
export interface BottomBarProps {
    accentColor?: string;
    centerButton?: IconProps & {
        link: LinkWithAction;
    };
    contextMenu: ContextMenuProps;
    children: React.ReactNode;
}
export interface CompoundComponents {
    Button: React.FC<CircleButtonProps & AriaAttributes & {
        id: string;
        position: "left" | "right";
        desktopOnly?: boolean;
    }>;
}
export type BottomBarCompound = React.FC<BottomBarProps> & CompoundComponents;
declare const BottomBar: BottomBarCompound;
export default BottomBar;
