import { LinkWithAction, SecretIdentityType, UserIdentityType } from "../types";
import { DropdownProps } from "../common/DropdownListMenu";
import React from "react";
declare const Comment: React.ForwardRefExoticComponent<Omit<CommentProps, "ref"> & React.RefAttributes<CommentHandler>>;
export interface CommentHandler {
    highlight: (color: string) => void;
    avatarRef?: React.RefObject<HTMLDivElement>;
    headerRef?: React.RefObject<HTMLDivElement>;
}
export interface CommentProps {
    comments: {
        id: string;
        text: string;
    }[];
    secretIdentity: SecretIdentityType;
    userIdentity?: UserIdentityType;
    forceHideIdentity?: boolean;
    createdTime: string;
    new?: boolean;
    op?: boolean;
    options?: DropdownProps["options"];
    onExtraAction?: LinkWithAction;
    disableMotionOnScroll?: boolean;
    ref?: React.Ref<CommentHandler>;
}
export default Comment;
